Bug 1574525 - asterisk-15.3.0-1.fc29 FTBFS: The existing menuselect.makeopts file did not specify that 'chan_phone' should not be included.
Summary: asterisk-15.3.0-1.fc29 FTBFS: The existing menuselect.makeopts file did not s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: asterisk
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 13:30 UTC by Petr Pisar
Modified: 2019-11-01 12:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-01 12:38:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2018-05-03 13:30:09 UTC
asterisk-15.3.0-1.fc29 fails to build in F29:

+ make -j1 menuselect-tree NOISY_BUILD=1
Generating input for menuselect ...
+ /usr/bin/perl -n -i -e 'print unless /openr2/i' menuselect-tree
### Building with plain voicemail and directory
+ echo '### Building with plain voicemail and directory'
+ make -j1 DEBUG= OPTIMIZE= DESTDIR=/builddir/build/BUILDROOT/asterisk-15.3.0-1.fc29.aarch64 ASTVARRUNDIR=/run/asterisk ASTDATADIR=/usr/share/asterisk ASTVARLIBDIR=/usr/share/asterisk ASTDBDIR=/var/spool/asterisk NOISY_BUILD=1
CC="cc" CXX="g++" LD="" AR="" RANLIB="" CFLAGS="" LDFLAGS="" make -C menuselect CONFIGURE_SILENT="--silent" menuselect
make[1]: Entering directory '/builddir/build/BUILD/asterisk-15.3.0/menuselect'
gcc  -g -D_GNU_SOURCE -Wall -I/usr/include/libxml2   -c -o menuselect.o menuselect.c
gcc  -g -D_GNU_SOURCE -Wall   -c -o strcompat.o strcompat.c
gcc  -g -D_GNU_SOURCE -Wall   -c -o menuselect_stub.o menuselect_stub.c
gcc  -o menuselect menuselect.o strcompat.o menuselect_stub.o -lxml2 -lz -llzma -lm -ldl
make[1]: Leaving directory '/builddir/build/BUILD/asterisk-15.3.0/menuselect'
menuselect/menuselect --check-deps menuselect.makeopts
member 'LOADABLE_MODULES' in category 'MENUSELECT_CFLAGS' not found, ignoring.
member 'test_sdp' in category 'MENUSELECT_TESTS' not found, ignoring.
***********************************************************
  The existing menuselect.makeopts file did not specify    
  that 'chan_phone' should not be included.  However, either some  
  dependencies for this module were not found or a         
  conflict exists.                                         
                                                           
  Either run 'make menuselect' or remove the existing      
  menuselect.makeopts file to resolve this issue.          
***********************************************************
make: *** [Makefile:356: menuselect.makeopts] Error 255
error: Bad exit status from /var/tmp/rpm-tmp.VcUv51 (%build)

Asterisk fails to build since this build root change <https://apps.fedoraproject.org/koschei/build/4588383>.

Comment 1 Jan Kurik 2018-08-14 10:04:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 20:38:46 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.